Package twisted :: Package flow :: Module stage :: Class Merge |
[frames | no frames]

## Class Merge

    Instruction --+
                  |
              Stage --+
                      |
                     Merge

Merges two or more Stages results into a single stream

source = flow.Zip([1,flow.Cooperate(),2,3],["one","two"]) printFlow(source)

Method Summary
| `__init__(self, *stages)`
| ``_yield`(self)` executed during a yield statement by previous stage
Inherited from Stage
| ``__iter__`(self)`
| ``next`(self)` return current result

Method Details

### _yield(self) executed during a yield statement by previous stage This method is private within the scope of the flow module, it is used by one stage in the flow to ask a subsequent stage to produce its value. The result of the yield is then stored in self.result and is an instance of Failure if a problem occurred. Overrides: `twisted.flow.base.Stage._yield` (inherited documentation)

Generated by Epydoc 2.0 on Sat Oct 25 00:55:10 2003 | http://epydoc.sf.net